This page is for Authlete 2.x. For current (3.0) documentation, see this page.
- Request
- Response (line breaks for readability)

Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Suppressing error details in responseContent by utilizing the responseContent parameter in Authlete APIs for authorization servers.
% curl -s -X POST $apiUrl/auth/authorization \
-u ...:... \
-H 'Content-type: application/json' \
-d '{"parameters":""}'
[...]
"action": "BAD_REQUEST",
"responseContent":
"{\"error_description\":
\"[A004301] The authorization request does not contain any request parameters.\",
\"error\":
\"invalid_request\",
\"error_uri\":
\"https://docs.authlete.com/#A004301\"}",
[...]
| Item | Descripton | Default Value |
|---|---|---|
| Error Description | Setting for suppressing error_description | Not omitted |
| Error URI | Setting for suppressing error_uri | Not omitted |

[...]
"action": "BAD_REQUEST",
"responseContent": "{\"error\":\"invalid_request\"}",
[...]